MPI_Type_create_indexed_block(3)

NAME
MPI_Type_create_indexed_block, MPI_Type_create_hindexed_block - Creates an indexed data type with the same block length for all blocks.

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Type_create_indexed_block(int count, int blocklength, const int array_of_displacements[], MPI_Datatype oldtype, MPI_Datatype *newtype)
int MPI_Type_create_hindexed_block(int count, int blocklength, const MPI_Aint array_of_displacements[], MPI_Datatype oldtype, MPI_Datatype *newtype)

INPUT PARAMETERS

count
    Length of array of displacements (integer).

blocklength
    Size of block (integer).

array_of_displacements
    Array of displacements (array of integers). In units of the extent of oldtype for MPI_Type_create_indexed_block and bytes for MPI_Type_create_hindexed_block.

oldtype
    Old data type (handle).

OUTPUT PARAMETERS

newtype
    New data type (handle).

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
MPI_Type_create_indexed_block and MPI_Type_create_hindexed_block create an indexed data type with the same block length for all blocks. The only difference between the two functions is MPI_Type_create_indexed_block takes an array of displacements in units of the extent of oldtype while MPI_Type_create_hindexed_block takes displacements in bytes.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI::Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

SEE ALSO

MPI_Type_indexed